RagTime5ChartInternal::ChartCParser::ZoneType Struct Reference

a small structure used to stored a field type More...

## Public Member Functions

| ZoneType ()
| constructor
std::string | getName () const
| return the zone type name

## Public Attributes

Type | m_type
| the field type
int | m_id
| the field local id

## Detailed Description

a small structure used to stored a field type

## Constructor & Destructor Documentation

## ZoneType()

RagTime5ChartInternal::ChartCParser::ZoneType::ZoneType | ( |  | ) |

inline

constructor

## Member Function Documentation

## getName()

std::string RagTime5ChartInternal::ChartCParser::ZoneType::getName | ( |  | ) | const

inline

return the zone type name

Referenced by RagTime5ChartInternal::ChartCParser::parseHeaderZone().

## Member Data Documentation

## m_id

int RagTime5ChartInternal::ChartCParser::ZoneType::m_id

the field local id

Referenced by getName(), RagTime5ChartInternal::ChartCParser::parseDataZone(), RagTime5ChartInternal::ChartCParser::parseField(), and ZoneType().

## m_type

Type RagTime5ChartInternal::ChartCParser::ZoneType::m_type

the field type

Referenced by getName(), RagTime5ChartInternal::ChartCParser::insertZoneToBeParsed(), RagTime5ChartInternal::ChartCParser::parseDataZone(), RagTime5ChartInternal::ChartCParser::parseField(), RagTime5ChartInternal::ChartCParser::parseHeaderZone(), and ZoneType().

The documentation for this struct was generated from the following file:

- RagTime5Chart.cxx